<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="6" style="margin-bottom: 10px;">
    <nz-card [nzTitle]="profileTpl" nzSize="small" style="margin-bottom: 10px; text-align: center;" [nzLoading]="isLoading">
      <ng-template #profileTpl>
        {{ region?.name }}
      </ng-template>
      <div *ngIf="region && gameType !== 'Legacy'">
        <app-map mapHeight="210px" circleRadius="1" [midPoint]="{ x: region.x, y: region.y }"
          [isViewOnly]="true"></app-map>
        <div>
          {{ 'Common.Location' | translate }}: {{ region?.x }}, {{ region?.y }}
        </div>

        <nz-divider></nz-divider>
      </div>

      <button *ngIf="isMod" class="button-basic" nz-button nzShape="round" (click)="showModPanel()" [nz-tooltip]="'Citizen.modPanel' | translate ">
        <span nz-icon nzType="more" nzTheme="outline"></span>
      </button>

      <button *ngIf="region && region.isWasteland === true" class="button-basic" nzShape="round" nz-button nz-tooltip
        [nzTooltipTitle]='"Common.Wasteland" | translate'>
        <i class="fa-solid fa-bridge-circle-exclamation"></i>
      </button>

      <button *ngIf="canResist === true" class="button-basic" nz-button nzShape="round" nz-tooltip [nzTooltipTitle]='"Military.Battles.ResistanceWar" | translate'
        nz-popconfirm [nzPopconfirmTitle]="resistanceWarConfirm" (nzOnConfirm)="startResistanceWar()">
        <i class="fas fa-fist-raised"></i>
      </button>
      <ng-template #resistanceWarConfirm>
        <div nz-row nzGutter="6">
          <div nz-col nzSpan="20">
            <h3>{{"Military.Battles.ResistanceWar" | translate}}</h3>
          </div>
          <div nz-col nzSpan="4">
            <a href="https://wiki.vpopulus.net/en/Resistance%20war" target="_blank"><i nz-icon
                nzType="question-circle" nzTheme="outline"></i></a>
          </div>
        </div>
        <div style="text-align: center;">
          {{"Military.Wars.startingCost" | translate}}<br /> {{"Military.Wars.confirmation" | translate}} 
        </div>
      </ng-template>

      <button *ngIf="region && region.canAttack === true" class="button-basic" nz-button nzShape="round" nz-tooltip
        [nzTooltipTitle]='"Military.Battles.Attack" | translate' nz-popconfirm [nzPopconfirmTitle]="attackConfirm" (nzOnConfirm)="attack()" nzDanger>
        <i class="fa-solid fa-gun"></i>
      </button>
      <ng-template #attackConfirm>
        <div nz-row nzGutter="6">
          <div nz-col nzSpan="20">
            <h3>{{ 'Military.Wars.startBattle' | translate: { regionName: region.name } }}</h3>
          </div>
          <div nz-col nzSpan="4">
            <a href="" target="_blank"><i nz-icon nzType="question-circle" nzTheme="outline"></i></a>
          </div>
        </div>
        <div style="text-align: center;">
          {{ 'Military.Wars.costMessage' | translate: { goldAmount: region?.isWasteland === true ? 5 : 20 } }}
          <br />{{"Military.Wars.confirmation" | translate}} 
        </div>
      </ng-template>
    </nz-card>

    <nz-card [nzTitle]="ownerTpl" nzSize="small" style="margin-bottom: 10px; text-align: center;" *ngIf="country" [nzLoading]="isLoading"
      [routerLink]="['/country', country?.id]">
      <ng-template #ownerTpl>
        {{ country?.name }}
      </ng-template>

      <app-entity-avatar entityType="country" [entityId]="country.id" [(avatar)]="country.flagLocation">
      </app-entity-avatar>
      <nz-divider></nz-divider>   <div *ngIf="coreCountry?.id">
        {{"Military.Wars.countryCore" | translate}} : <a [routerLink]="['/country', coreCountry?.id]">{{coreCountry?.name}}</a>
      </div>
    </nz-card>
  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="18">

    <nz-card nzSize="small">
      <nz-tabset nzCentered>
        <nz-tab [nzTitle]="'Notification.Category.General' | translate">

          <div nz-row nzGutter="12">
            <div nz-col nzXs="24" nzSm="24" nzLg="12">
              <nz-card nzTitle='{{ "Economy.Resource.Title" | translate }}' nzSize="small"
                style="margin-bottom: 10px; text-align: center;" [nzLoading]="isLoading">
                <nz-list nzBordered nzSize="small">
                  <nz-list-item *ngFor="let resource of region?.resources">
                    <span nz-typography nz-tooltip nzTooltipTitle="{{ 'Economy.' + resource.symbol | translate }}">
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="resource.value">
                      </nz-avatar>
                    </span>
                    <span style="color: gold" innerHtml="{{ resource.quality | q }}"></span>
                  </nz-list-item>
                </nz-list>
              </nz-card>
            </div>
            <div nz-col nzXs="24" nzSm="24" nzLg="12">
              <nz-card [nzTitle]='"Social.Statistics" | translate' nzSize="small" style="margin-bottom: 10px; text-align: center;" [nzLoading]="isLoading">
                <nz-list nzBordered nzSize="small">
                  <nz-list-item>
                    <span nz-typography>
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                        nzSrc="{{apiUrl}}/defaults/citizen.png"></nz-avatar>
                    </span>
                    {{ region?.population }} {{'Citizen.CitizensLowCase' | translate }}
                  </nz-list-item>
                  <nz-list-item>
                    <span nz-typography>
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                        nzSrc="assets/img/icons/company.png"></nz-avatar>
                    </span>
                    {{ region?.companies }} {{'Citizen.Buildings.CompaniesLowCase' | translate}}
                  </nz-list-item>
                  <nz-list-item>
                    <span nz-typography>
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                        nzSrc="assets/img/icons//Construction.House.png"></nz-avatar>
                    </span>
                    {{ region?.houses }} {{'Citizen.Buildings.HousesLowCase' | translate}}
                  </nz-list-item>
                  <nz-list-item>
                    <span nz-typography>
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                        nzSrc="assets/img/icons/Construction.Hotel.png"></nz-avatar>
                    </span>
                    {{ region?.hotels }} {{ 'Citizen.Buildings.HotelsLowCase' | translate }}
                  </nz-list-item>
                  <nz-list-item *ngIf="region?.hospital && region?.hospital > 0">
                    <span nz-typography>
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                        nzSrc="assets/img/icons/Construction.Hospital.png"></nz-avatar>
                    </span>
                    <span style="color: gold" innerHtml="{{ region?.hospital | q }}"></span>
                  </nz-list-item>
                  <nz-list-item *ngIf="region?.defenseSystem && region?.defenseSystem > 0">
                    <span nz-typography>
                      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                        nzSrc="assets/img/icons/Construction.DefenseSystem.png"></nz-avatar>
                    </span>
                    <span style="color: gold" innerHtml="{{ region?.defenseSystem | q }}"></span>
                  </nz-list-item>
                </nz-list>
              </nz-card>
            </div>
          </div>

        </nz-tab>
        <nz-tab [nzTitle]=" 'Politics.Laws.Borders' | translate ">

          <nz-table nzTemplateMode #bordersTable [nzData]="region?.borders" nzShowPagination="false" nzSize="small">
            <thead>
              <tr>
                <th style="text-align: center">{{'Common.Location' | translate }}</th>
                <th style="text-align: center">{{ 'Economy.Market.Country' | translate }}</th>
                <th style="text-align: center">{{ 'Economy.Resource.Resource' | translate }}</th>
                <th style="text-align: center">{{ 'Citizen.Citizens' | translate }}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let data of bordersTable.data">
                <td style="text-align: center">
                  <a href="/region/{{ data.id }}">{{ data.name}}</a>
                </td>
                <td style="text-align: center">
                  <a href="/country/{{ data.country?.id }}" *ngIf="data.country">
                    <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'"
                      [nzSrc]="data.country.flagLocation">
                    </nz-avatar>
                    {{ data.country.name }}
                  </a>
                </td>
                <td style="text-align: center">
                  <span style="margin-right: 2px" *ngFor="let resource of data.resources" nzTooltipTitle="{{ 'Economy.' + resource.symbol | translate }}
                    ({{ 'Common.Quality' | translate }}: {{ 'Economy.' + resource.quality | translate }})" nz-tooltip>
                    <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="resource.value">
                    </nz-avatar>
                  </span>
                </td>
                <td style="text-align: center">{{ data.population }}</td>
              </tr>
            </tbody>
          </nz-table>

        </nz-tab>
        <nz-tab nzTitle="{{'Military.Wars.battlesHistory' | translate}}">
          <ng-template nz-tab>
            <app-region-battles [regionId]="region?.id"></app-region-battles>
          </ng-template>
        </nz-tab>
      </nz-tabset>
    </nz-card>

  </div>
</div>
